{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}


{% block content %}

    <div class="box box-primary">
        <div class="box-header with-border">
            <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
            {% if instance %}
            <h3 class="box-title"><p>Edit Warehouse Master</p></h3>
            {% else %}
            <h3 class="box-title"><p>Create Warehouse Master</p></h3>
            {% endif %}
        </div>

        <!-- <div class="box-header with-border">
            <h3 class="box-title">Warehouse Master</h3>
        </div> -->

        <form id="myForm" method="post">
            {% csrf_token %}
            <div class="box-body">
                <div class="form-group col-md-12 col-sm-12">
                    {{warehouse_create_form.warehouse_code|as_crispy_field}}
                </div>

                <div class="form-group col-md-12 col-sm-12">
                    {{warehouse_create_form.warehouse_name|as_crispy_field}}
                </div>

                <div class="form-group col-md-12 col-sm-12">
                    {{warehouse_create_form.address_line1|as_crispy_field}}
                </div>

                <div class="form-group col-md-12 col-sm-12">
                    {{warehouse_create_form.address_line2|as_crispy_field}}
                </div>
                <input type="hidden" value="{{instance.state}}" id="hdnstate">
                <input type="hidden" value="{{instance.city}}" id="hdncity">
                <div class="form-group col-md-12 col-sm-12">
                    <label class="control-label ">State*</label>
                    <div class="controls">
                        <select name="state" id="id_state_code" class="textinput textInput form-control" required>
                            <option value="">---------</option>
                            {% for state in state %}
                            <option value="{{state.state_name}}">{{state.state_name}}</option>
                            {% endfor %}
                        </select>
                    </div>
                </div>

                <div class="form-group col-md-12 col-sm-12">
                    <label class="control-label ">City*</label>
                    <div class="controls">
                        <select name="city" id="id_city_code" class="textinput textInput form-control" required>
                            <option value="">---------</option>

                        </select>
                    </div>
                </div>

                <div class="form-group col-md-12 col-sm-12">
                    {{warehouse_create_form.pin_code|as_crispy_field}}
                </div>

                <div class="form-group col-md-12 col-sm-12">
                    {{warehouse_create_form.contact_number|as_crispy_field}}
                </div>
                <div class="form-group col-md-12 col-sm-12">
                    <label for="id_user" class="control-label ">
                        User Email*
                    </label>
                    <select class="select form-control" name="user" id="user">
                        {% for obj in userobj %}
                        <option {% if wareobj.user_id == obj.pk %}selected{% endif %} value="{{obj.pk}}">
                            {{obj.email}}
                        </option>
                        {% endfor %}
                    </select>
                </div>
                <div class="form-group col-md-12 col-sm-12 text-right">
                    <input type="submit" value="Submit" class="btn btn-primary">
                </div>
            </div>
        </form>
    </div>

{% endblock %}


{% block extra_script_block %}
    {{block.super}}
    <script>
        $("#myForm").submit(function(event) {
            var flag = true;
            if($('#id_warehouse_code').val() == ""){
                $('#id_warehouse_code').parent().parent().addClass('has-error')
                $('#error_1_id_warehouse_code').remove();
                $('#id_warehouse_code').parent().append('<p id="error_1_id_warehouse_code" class="help-block"><strong>This field is required.</strong></p>');
                flag = false
            }   
            else {
                $('#id_warehouse_code').parent().parent().removeClass('has-error')
                $('#error_1_id_warehouse_code').remove();
            }
            if($('#id_warehouse_name').val() == ""){
                $('#id_warehouse_name').parent().parent().addClass('has-error')
                $('#error_1_id_warehouse_name').remove();
                $('#id_warehouse_name').parent().append('<p id="error_1_id_warehouse_name" class="help-block"><strong>This field is required.</strong></p>');
                flag = false
            }   
            else {
                $('#id_warehouse_name').parent().parent().removeClass('has-error')
                $('#error_1_id_warehouse_name').remove();
            }
            if($('#id_address_line1').val() == ""){
                $('#id_address_line1').parent().parent().addClass('has-error')
                $('#error_1_id_address_line1').remove();
                $('#id_address_line1').parent().append('<p id="error_1_id_address_line1" class="help-block"><strong>This field is required.</strong></p>');
                flag = false
            }   
            else {
                $('#id_address_line1').parent().parent().removeClass('has-error')
                $('#error_1_id_address_line1').remove();
            }
            <!--if($('#id_address_line2').val() == ""){-->
                <!--$('#id_address_line2').parent().parent().addClass('has-error')-->
                <!--$('#error_1_id_address_line2').remove();-->
                <!--$('#id_address_line2').parent().append('<p id="error_1_id_address_line2" class="help-block"><strong>This field is required.</strong></p>');-->
                <!--flag = false-->
            <!--}   -->
            <!--else {-->
                <!--$('#id_address_line2').parent().parent().removeClass('has-error')-->
                <!--$('#error_1_id_address_line2').remove();-->
            <!--}-->
            if($('#id_state_code').val() == ""){
                $('#id_state_code').parent().parent().addClass('has-error')
                $('#error_1_id_state_code').remove();
                $('#id_state_code').parent().append('<p id="error_1_id_state_code" class="help-block"><strong>This field is required.</strong></p>');
                flag = false
            }   
            else {
                $('#id_state').parent().parent().removeClass('has-error')
                $('#error_1_id_state').remove();
            }
            if($('#id_city_code').val() == ""){
                $('#id_city_code').parent().parent().addClass('has-error')
                $('#error_1_id_city_code').remove();
                $('#id_city_code').parent().append('<p id="error_1_id_city_code" class="help-block"><strong>This field is required.</strong></p>');
                flag = false
            }   
            else {
                $('#id_city').parent().parent().removeClass('has-error')
                $('#error_1_id_city').remove();
            }
            if($('#id_pin_code').val() == ""){
                $('#id_pin_code').parent().parent().addClass('has-error')
                $('#error_1_id_pin_code').remove();
                $('#id_pin_code').parent().append('<p id="error_1_id_pin_code" class="help-block"><strong>This field is required.</strong></p>');
                flag = false
            }   
            else {
                $('#id_pin_code').parent().parent().removeClass('has-error')
                $('#error_1_id_pin_code').remove();
            }
            if($('#id_contact_number').val() == ""){
                $('#id_contact_number').parent().parent().addClass('has-error')
                $('#error_1_id_contact_number').remove();
                $('#id_contact_number').parent().append('<p id="error_1_id_contact_number" class="help-block"><strong>This field is required.</strong></p>');
                flag = false
            }   
            else {
                $('#id_contact_number').parent().parent().removeClass('has-error')
                $('#error_1_id_contact_number').remove();
            }
            return flag;
        })

        $( document ).ready(function() {
                $("#id_state_code").change(function(){
                    var dropid=$(this).val();
                    street(dropid,0)
                });
            var hdnstate=$('#hdnstate').val();
            var hdncity=$('#hdncity').val();
            if (hdnstate!='' && hdnstate!=undefined){
                $("#id_state_code option:contains(" +hdnstate + ")").attr('selected', 'selected');
                if (hdncity!='' && hdncity!=undefined){
                    street($('#id_state_code').val(),hdncity)
                }
            }
 
        });
 
        function street(sid,cid){
                var htmldata="";
                var format=''
                $.ajax({
                    url: "/master/load-city/"+sid,
                    type: "get",
                    contentType: "text/plain",
                    success: function (streetlist) {
                    $.each(streetlist, function (i, setting) {
                        format+='<option value="'+setting.cityname+'">'+setting.cityname+'</option>'
                    })
                    if (cid!=0){
                        $('#id_city_code').html(format);
                        $("#id_city_code option:contains(" + cid + ")").attr('selected', 'selected');
                    }
                    else{
                        $('#id_city_code').html(format);
                    }
 
                }
                });
            }
    </script>
{% endblock %}